OGRE: Ogre::CompositionTargetPass Class Reference - OGRE Documentation

Public Types | Public Member Functions | Private Attributes

# Ogre::CompositionTargetPass Class Reference
[Effects]

Object representing one render to a RenderTarget or Viewport in the Ogre Composition framework. More...

`#include <OgreCompositionTargetPass.h>`

Inheritance diagram for Ogre::CompositionTargetPass:
[legend]

List of all members.

## Public Types
enum | InputMode { IM_NONE, IM_PREVIOUS }
| Input mode of a TargetPass. More...
typedef vector < CompositionPass * >::type | Passes
typedef VectorIterator< Passes > | PassIterator
## Public Member Functions
| CompositionTargetPass (CompositionTechnique *parent)
| ~CompositionTargetPass ()
void | setInputMode (InputMode mode)
| Set input mode of this TargetPass.
InputMode | getInputMode () const
| Get input mode.
void | setOutputName (const String &out)
| Set output local texture name.
const String & | getOutputName () const
| Get output local texture name.
void | setOnlyInitial (bool value)
| Set "only initial" flag.
bool | getOnlyInitial ()
| Get "only initial" flag.
void | setVisibilityMask (uint32 mask)
| Set the scene visibility mask used by this pass.
uint32 | getVisibilityMask ()
| Get the scene visibility mask used by this pass.
void | setMaterialScheme (const String &schemeName)
| Set the material scheme used by this target pass.
const String & | getMaterialScheme (void) const
| Get the material scheme used by this target pass.
void | setShadowsEnabled (bool enabled)
| Set whether shadows are enabled in this target pass.
bool | getShadowsEnabled (void) const
| Get whether shadows are enabled in this target pass.
void | setLodBias (float bias)
| Set the scene LOD bias used by this pass.
float | getLodBias ()
| Get the scene LOD bias used by this pass.
CompositionPass * | createPass ()
| Create a new pass, and return a pointer to it.
void | removePass (size_t idx)
| Remove a pass.
CompositionPass * | getPass (size_t idx)
| Get a pass.
size_t | getNumPasses ()
| Get the number of passes.
void | removeAllPasses ()
| Remove all passes.
PassIterator | getPassIterator (void)
| Get an iterator over the Passes in this TargetPass.
CompositionTechnique * | getParent ()
| Get parent object.
bool | _isSupported (void)
| Determine if this target pass is supported on the current rendering device.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Private Attributes
CompositionTechnique * | mParent
| Parent technique.
InputMode | mInputMode
| Input name.
String | mOutputName
| (local) output texture
Passes | mPasses
| Passes.
bool | mOnlyInitial
| This target pass is only executed initially after the effect has been enabled.
uint32 | mVisibilityMask
| Visibility mask for this render.
float | mLodBias
| LOD bias of this render.
String | mMaterialScheme
| Material scheme name.
bool | mShadowsEnabled
| Shadows option.

## Detailed Description

Object representing one render to a RenderTarget or Viewport in the Ogre Composition framework.

Definition at line 44 of file OgreCompositionTargetPass.h.

## Member Typedef Documentation

typedef vector<CompositionPass *>::type Ogre::CompositionTargetPass::Passes

Definition at line 57 of file OgreCompositionTargetPass.h.

typedef VectorIterator<Passes> Ogre::CompositionTargetPass::PassIterator

Definition at line 58 of file OgreCompositionTargetPass.h.

## Member Enumeration Documentation

enum Ogre::CompositionTargetPass::InputMode

Input mode of a TargetPass.

Enumerator:

  IM_NONE |
  IM_PREVIOUS |

Definition at line 52 of file OgreCompositionTargetPass.h.

## Constructor & Destructor Documentation

Ogre::CompositionTargetPass::CompositionTargetPass | ( | CompositionTechnique * | parent | ) |

Ogre::CompositionTargetPass::~CompositionTargetPass | ( |  | ) |

## Member Function Documentation

bool Ogre::CompositionTargetPass::_isSupported | ( | void |  | ) |

Determine if this target pass is supported on the current rendering device.

CompositionPass* Ogre::CompositionTargetPass::createPass | ( |  | ) |

Create a new pass, and return a pointer to it.

InputMode Ogre::CompositionTargetPass::getInputMode | ( |  | ) | const

Get input mode.

float Ogre::CompositionTargetPass::getLodBias | ( |  | ) |

Get the scene LOD bias used by this pass.

const String& Ogre::CompositionTargetPass::getMaterialScheme | ( | void |  | ) | const

Get the material scheme used by this target pass.

Remarks:
  Only applicable to targets that render the scene as one of their passes.

See also:
  Technique::setScheme.

size_t Ogre::CompositionTargetPass::getNumPasses | ( |  | ) |

Get the number of passes.

bool Ogre::CompositionTargetPass::getOnlyInitial | ( |  | ) |

Get "only initial" flag.

const String& Ogre::CompositionTargetPass::getOutputName | ( |  | ) | const

Get output local texture name.

CompositionTechnique* Ogre::CompositionTargetPass::getParent | ( |  | ) |

Get parent object.

CompositionPass* Ogre::CompositionTargetPass::getPass | ( | size_t | idx | ) |

Get a pass.

PassIterator Ogre::CompositionTargetPass::getPassIterator | ( | void |  | ) |

Get an iterator over the Passes in this TargetPass.

bool Ogre::CompositionTargetPass::getShadowsEnabled | ( | void |  | ) | const

Get whether shadows are enabled in this target pass.

Remarks:
  Only applicable to targets that render the scene as one of their passes.

uint32 Ogre::CompositionTargetPass::getVisibilityMask | ( |  | ) |

Get the scene visibility mask used by this pass.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

void Ogre::CompositionTargetPass::removeAllPasses | ( |  | ) |

Remove all passes.

void Ogre::CompositionTargetPass::removePass | ( | size_t | idx | ) |

Remove a pass.

It will also be destroyed.

void Ogre::CompositionTargetPass::setInputMode | ( | InputMode | mode | ) |

Set input mode of this TargetPass.

void Ogre::CompositionTargetPass::setLodBias | ( | float | bias | ) |

Set the scene LOD bias used by this pass.

The default is 1.0, everything below that means lower quality, higher means higher quality.

void Ogre::CompositionTargetPass::setMaterialScheme | ( | const String & | schemeName | ) |

Set the material scheme used by this target pass.

Remarks:
  Only applicable to targets that render the scene as one of their passes.

See also:
  Technique::setScheme.

void Ogre::CompositionTargetPass::setOnlyInitial | ( | bool | value | ) |

Set "only initial" flag.

This makes that this target pass is only executed initially after the effect has been enabled.

void Ogre::CompositionTargetPass::setOutputName | ( | const String & | out | ) |

Set output local texture name.

void Ogre::CompositionTargetPass::setShadowsEnabled | ( | bool | enabled | ) |

Set whether shadows are enabled in this target pass.

Remarks:
  Only applicable to targets that render the scene as one of their passes.

void Ogre::CompositionTargetPass::setVisibilityMask | ( | uint32 | mask | ) |

Set the scene visibility mask used by this pass.

## Member Data Documentation

InputMode Ogre::CompositionTargetPass::mInputMode`[private]`

Input name.

Definition at line 152 of file OgreCompositionTargetPass.h.

float Ogre::CompositionTargetPass::mLodBias`[private]`

LOD bias of this render.

Definition at line 163 of file OgreCompositionTargetPass.h.

String Ogre::CompositionTargetPass::mMaterialScheme`[private]`

Material scheme name.

Definition at line 165 of file OgreCompositionTargetPass.h.

bool Ogre::CompositionTargetPass::mOnlyInitial`[private]`

This target pass is only executed initially after the effect has been enabled.

Definition at line 159 of file OgreCompositionTargetPass.h.

String Ogre::CompositionTargetPass::mOutputName`[private]`

(local) output texture

Definition at line 154 of file OgreCompositionTargetPass.h.

CompositionTechnique* Ogre::CompositionTargetPass::mParent`[private]`

Parent technique.

Definition at line 150 of file OgreCompositionTargetPass.h.

Passes Ogre::CompositionTargetPass::mPasses`[private]`

Passes.

Definition at line 156 of file OgreCompositionTargetPass.h.

bool Ogre::CompositionTargetPass::mShadowsEnabled`[private]`

Shadows option.

Definition at line 167 of file OgreCompositionTargetPass.h.

uint32 Ogre::CompositionTargetPass::mVisibilityMask`[private]`

Visibility mask for this render.

Definition at line 161 of file OgreCompositionTargetPass.h.

The documentation for this class was generated from the following file:

- OgreCompositionTargetPass.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:54